Manifest (Java SE 13 & JDK 13 )
Description: declaration: module: java.xml.crypto, package: javax.xml.crypto.dsig, interface: Manifest
Keywords: javax.xml.crypto.dsig.Manifest interface

Module java.xml.crypto
Package javax.xml.crypto.dsig

# Interface Manifest

All Superinterfaces:
  `XMLStructure`

    public interface Manifest
    extends XMLStructure

A representation of the XML `Manifest` element as defined in the W3C Recommendation for XML-Signature Syntax and Processing. The XML Schema Definition is defined as:

     <element name="Manifest" type="ds:ManifestType"/>
       <complexType name="ManifestType">
         <sequence>
           <element ref="ds:Reference" maxOccurs="unbounded"/>
         </sequence>
         <attribute name="Id" type="ID" use="optional"/>
       </complexType>

A `Manifest` instance may be created by invoking one of the `newManifest` methods of the `XMLSignatureFactory` class; for example:

       XMLSignatureFactory factory = XMLSignatureFactory.getInstance("DOM");
       Reference ref = factory.newReference("#reference-1", DigestMethod.SHA1);
       List<Reference> references = Collections.singletonList(ref);
       Manifest manifest = factory.newManifest(references, "manifest-1");

Since:
  1.6
See Also:
  `XMLSignatureFactory.newManifest(List)`, `XMLSignatureFactory.newManifest(List, String)`

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static String` | `TYPE` | URI that identifies the `Manifest` element (this can be specified as the value of the `type` parameter of the `Reference` class to identify the referent's type).

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `String` | `getId()` | Returns the Id of this `Manifest`.
  `List<Reference>` | `getReferences()` | Returns an `unmodifiable list` of one or more `Reference`s that are contained in this `Manifest`.

  ### Methods declared in interface javax.xml.crypto.XMLStructure

  `isFeatureSupported`

- ## Field Details

  - ### TYPE

    static final String TYPE
    URI that identifies the `Manifest` element (this can be specified as the value of the `type` parameter of the `Reference` class to identify the referent's type).
    See Also:
      Constant Field Values

- ## Method Details

  - ### getId

    String getId()
    Returns the Id of this `Manifest`.
    Returns:
      the Id of this `Manifest` (or `null` if not specified)

  - ### getReferences

    List<Reference> getReferences()
    Returns an `unmodifiable list` of one or more `Reference`s that are contained in this `Manifest`.
    Returns:
      an unmodifiable list of one or more `Reference`s